Subject: bug#47432: 28.0.50; Dired using ! or & on file should fail without command supplied

From: Jean Louis <[email-masked]>
Date: Mon, 29 Mar 2021 21:55:19 +0300

Andreas Schwab <[email-masked]> [2021-03-28 18:00]:
> On Mär 28 2021, Lars Ingebrigtsen wrote:
> 
> > I think that would be a bit odd.  But I see that the doc string doesn't
> > explicitly say that happens here, so I've added the following sentence
> > to the doc string in Emacs 28:
> >
> > ----
> > When executing, FILE-LIST is appended to the COMMAND string.
> > ----
> 
> No, this is very wrong.  The docstring already adequately and correctly
> documents that case:
> 
>     Otherwise, this runs COMMAND on each file individually with the
>     file name added at the end of COMMAND (separated by a space).

I probably do not understand what you two understand, what I don't
understand why should FILE-LIST be appended to empty string, as those
files will not be executed unless they are in path, and unless they
are executables.

! and & should verify if those files are executables -- and if not,
  not execute images and directors -- OR -- maybe developer shall
  decide what is meant with ! or & -- is it maybe meant to execute
  marked files? And if so, then marked files shall be executed in the
  default-directory with prepended ./ and not as general system
  commands searched only in $PATH.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns